Make it compatible with FF 57 please! Rated 5 out of 5 stars

Wonderful extension I have been using for many years. It works not only on YouTube but on many other pages with streaming videos.
Since certain time however I have been looking at alert message this extension is obsolete. I tried a few different extensions compatible with FF 57 but no one is worth of it.
Some of them have download buttons under YouTube videos only and are not working on other sites, some are working but are not able to download in fullHD quality.
I dont want to abandon good working extension because of lack of support for higher versions of FireFox.
Would it be so hard to make it compatible with FireFox 57 and higher?
Make it compatible please!!

This review is for a previous version of the add-on (15.0.19).